Bug 195229 - security/gnupg installs gpg-zip.1.gz. But it dosen't install gpg-zip. So, gpg-zip.1.gz shoud not be installed.
Summary: security/gnupg installs gpg-zip.1.gz. But it dosen't install gpg-zip. So, gpg...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: Normal Affects Some People
Assignee: Jun Kuriyama
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-20 19:34 UTC by SASAKI Katuhiro
Modified: 2014-11-22 10:03 UTC (History)
2 users (show)

See Also:
crest: maintainer-feedback? (kuriyama)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description SASAKI Katuhiro 2014-11-20 19:34:28 UTC
security/gnupg installs ${PREFIX}/man/man1/gpg-zip.1.gz.
But, security/gnupg dose not install ${PREFIX}/gpg-zip and so on.
I think that man/man1/gpg-zip.1.gz should not be installed by using this port.
And, security/gnupg1 installs bin/gpg-zip and man/man1/gpg-zip.1.gz.
So, if we do not set security/gnupg not to install man/man1/gpg-zip.1.gz, security/gnupg and security/gnupg1 both installes man/man1/gpg-zip.1.gz.
This cause bad conflict, I think.

--- pkg-plist.orig	2014-11-20 14:11:20.000000000 +0900
+++ pkg-plist	2014-11-21 04:00:27.000000000 +0900
@@ -25,7 +25,6 @@
 %%PORTDOCS%%man/man1/gpg-agent.1.gz
 %%PORTDOCS%%man/man1/gpg-connect-agent.1.gz
 %%PORTDOCS%%man/man1/gpg-preset-passphrase.1.gz
-%%PORTDOCS%%man/man1/gpg-zip.1.gz
 %%PORTDOCS%%man/man1/gpg2.1.gz
 %%PORTDOCS%%man/man1/gpgconf.1.gz
 %%PORTDOCS%%man/man1/gpgparsemail.1.gz
Comment 1 Bugzilla Automation freebsd_committer 2014-11-20 19:34:28 UTC
Auto-assigned to maintainer kuriyama@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2014-11-22 09:55:43 UTC
A commit references this bug:

Author: kuriyama
Date: Sat Nov 22 09:55:14 UTC 2014
New revision: 373043
URL: https://svnweb.freebsd.org/changeset/ports/373043

Log:
  - Turn pinentry dependency mandatory, not option. [1]
  - Remove gpg-zip.1.gz manpage which command is not installed. [2]

  PR:		ports/194788 [1], ports/195229 [2]
  Submitted by:	donaldcallen@gmail.com [1], crest@sahiro.org [2]

Changes:
  head/security/gnupg/Makefile
  head/security/gnupg/files/
  head/security/gnupg/files/patch-doc-Makefile.in
  head/security/gnupg/pkg-plist
Comment 3 Jun Kuriyama freebsd_committer 2014-11-22 10:03:05 UTC
Fix committed.  Thanks!